## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanBitmap Class Reference

`#include <XalanBitmap.hpp>`

List of all members.

## Public Types

- typedef char UnitType
- typedef size_t size_type
- enum {
  eBitsPerUnit = 8
  }

## Public Methods

- XalanBitmap (size_type theSize)
    Construct an instance with room for the specified number of bits. More...
- ~XalanBitmap ()
- bool isSet (size_type theBit) const
    Determine if a bit is set. More...
- void set (size_type theBit)
    Set a bit. More...
- void clear (size_type theBit)
    Clear a bit. More...
- void toggle (size_type theBit)
    Toggle a bit. More...
- void clearAll ()
    Clear all of the bits.
- size_type getSize () const
    Get the size of the map. More...

## Member Typedef Documentation

typedef char XalanBitmap::UnitType

typedef size_t XalanBitmap::size_type

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eBitsPerUnit |

## Constructor & Destructor Documentation

XalanBitmap::XalanBitmap ( | size_type theSize )

Construct an instance with room for the specified number of bits.

Parameters:

  theSize | The number of bits in the map.

XalanBitmap::~XalanBitmap ( | )

## Member Function Documentation

void XalanBitmap::clear ( | size_type theBit )

Clear a bit.

Parameters:

  theBit | The number of the bit to clear.

void XalanBitmap::clearAll ( | )

Clear all of the bits.

size_type XalanBitmap::getSize ( | ) const`[]`

Get the size of the map.

Returns:
  The number of bits in the map.

bool XalanBitmap::isSet ( | size_type theBit ) const

Determine if a bit is set.

Parameters:

  theBit | The number of the bit to check.

Returns:
  true if the bit is set, false if not.

void XalanBitmap::set ( | size_type theBit )

Set a bit.

Parameters:

  theBit | The number of the bit to set.

void XalanBitmap::toggle ( | size_type theBit )

Toggle a bit.

Parameters:

  theBit | The number of the bit to toggle.

The documentation for this class was generated from the following file:

- XalanBitmap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.